org.eclipse.mat.parser

## Interface IPreliminaryIndex

    public interface IPreliminaryIndex

Where the parser collect informations when first opening a snapshot

No Implement:

### Method Summary

All Methods Instance Methods Abstract Methods
`XSnapshotInfo` `getSnapshotInfo()` Get basic information about the snapshot
`void` `setArray2size(IIndexReader.IOne2SizeIndex array2size)` store the array to size in bytes mapping
`void` `setClassesById(HashMapIntObject<ClassImpl> classesById)` Store the class id to ClassImpl mapping
`void` `setGcRoots(HashMapIntObject<List<XGCRootInfo>> gcRoots)` store the GC roots information
`void` `setIdentifiers(IIndexReader.IOne2LongIndex identifiers)` store the object id to address mapping
`void` `setObject2classId(IIndexReader.IOne2OneIndex object2classId)` store the object id to class id mapping
`void` `setOutbound(IIndexReader.IOne2ManyIndex outbound)` store the object to outbound references table.
`void` `setThread2objects2roots(HashMapIntObject<HashMapIntObject<List<XGCRootInfo>>> thread2objects2roots)` store the thread local variable information

### Method Detail

#### getSnapshotInfo

    XSnapshotInfo getSnapshotInfo()

Get basic information about the snapshot

Returns:
  the basic data

#### setClassesById

    void setClassesById(HashMapIntObject<ClassImpl> classesById)

Store the class id to ClassImpl mapping

Parameters:
  `classesById` -

#### setGcRoots

    void setGcRoots(HashMapIntObject<List<XGCRootInfo>> gcRoots)

store the GC roots information

Parameters:
  `gcRoots` -

#### setThread2objects2roots

    void setThread2objects2roots(HashMapIntObject<HashMapIntObject<List<XGCRootInfo>>> thread2objects2roots)

store the thread local variable information

Parameters:
  `thread2objects2roots` -

#### setOutbound

    void setOutbound(IIndexReader.IOne2ManyIndex outbound)

store the object to outbound references table. The type of the object must be the first reference.

Parameters:
  `outbound` -

#### setIdentifiers

    void setIdentifiers(IIndexReader.IOne2LongIndex identifiers)

store the object id to address mapping

Parameters:
  `identifiers` -

#### setObject2classId

    void setObject2classId(IIndexReader.IOne2OneIndex object2classId)

store the object id to class id mapping

Parameters:
  `object2classId` -

#### setArray2size

    void setArray2size(IIndexReader.IOne2SizeIndex array2size)

store the array to size in bytes mapping

Parameters:
  `array2size` -
Since:
  1.0